/********************************************************************************************************************
*********************************************************************************************************************
***************                                    PERMISOS                                         *****************
/********************************************************************************************************************
*********************************************************************************************************************/

function vista_permisos(){ 
    mp();
    $.ajax({
        url: 'e1bfd762321e409cee4ac0b6e841963c/modelo.php',
        type: 'POST',
        dataType: 'html',
        data: { permiso: 'consulta', },
        error: function(jqXHR, status, error){
            console.log(jqXHR+" "+ status +" "+ error);
        }
    })
    .done(function(men) {
        document.getElementById("titulo_panel").innerHTML = "PERMISOS";
        document.title = "Permisos";
        document.getElementsByClassName("x_content")[0].innerHTML = men;
    })
    .fail(function(men) {console.log(men);})
    .always(function(m){ op(); });
}

function vista_modificar_permisos(id){ 
    mp();
    $.ajax({
        url: 'e1bfd762321e409cee4ac0b6e841963c/modelo.php',
        type: 'POST',
        dataType: 'html',
        data: {
            permiso: 'modificar',
            clave: id,
            nom:$("#nombre"+id).html(),
            dpto:$("#departamento"+id).html(),
        },
        error: function(jqXHR, status, error){
            console.log(jqXHR+" "+ status +" "+ error);
        }
    })
    .done(function(men) {
        document.getElementById("titulo_panel").innerHTML = "MODIFICAR PERMISOS";
        document.title = "Modificar Permisos";
        document.getElementsByClassName("x_content")[0].innerHTML = men;

        var $permiso = $("#permiso").on("change", function(){ validateCheck( 'permiso' ); });
            $(".permiso").on("change", function(){ if ($(this).prop("checked")) { $permiso.prop("checked", true); } });

        var $usuario = $("#usuario").on("change", function(){ validateCheck( 'usuario' ); });
            $(".usuario").on("change", function(){ if ($(this).prop("checked")) { $usuario.prop("checked", true); } });

        var $departamento = $("#departamento").on("change", function(){ validateCheck( 'departamento' ); });
            $(".departamento").on("change", function(){ if ($(this).prop("checked")) { $departamento.prop("checked", true); } });
           
            var $dpto_jefe = $("#dj").on("change", function(){ validateCheck( 'dj' ); });
                $(".dj").on("change", function(){ if ($(this).prop("checked")) { $dpto_jefe.prop("checked", true); } });
            var $dpto_jerarquia = $("#djq").on("change", function(){ validateCheck( 'djq' ); });
                $(".djq").on("change", function(){ if ($(this).prop("checked")) { $dpto_jerarquia.prop("checked", true); } });

        var $ip = $("#ingresosp").on("change", function(){ validateCheck( 'ingresosp' ); });
            $(".ingresosp").on("change", function(){ if ($(this).prop("checked")) { $ip.prop("checked", true); } });

        var $pia = $("#pia").on("change", function(){ validateCheck( 'pia' ); });
            $(".pia").on("change", function(){ if ($(this).prop("checked")) { $pia.prop("checked", true); } });

        var $actividad = $("#actividades").on("change", function(){ validateCheck( 'actividades' ); });
            $(".actividades").on("change", function(){ if ($(this).prop("checked")) { $actividad.prop("checked", true); } });

            var $actividad_todos = $("#at").on("change", function(){ validateCheck( 'at' ); });
                $(".at").on("change", function(){ if ($(this).prop("checked")) { $actividad_todos.prop("checked", true); } });

        var $paaas = $("#paaas").on("change", function(){ validateCheck( 'paaas' ); });
            $(".paaas").on("change", function(){ if ($(this).prop("checked")) { $paaas.prop("checked", true); } });

        var $adec_interna = $("#adec_interna").on("change", function(){ validateCheck( 'adec_interna' ); });
            $(".adec_interna").on("change", function(){ if ($(this).prop("checked")) { $adec_interna.prop("checked", true); } });
            var $adec_interna_pendientes = $("#apti").on("change", function(){ validateCheck( 'apti' ); $adec_interna.prop("checked", true); });
            $(".apti").on("change", function(){ if ($(this).prop("checked")) { $adec_interna_pendientes.prop("checked", true); } });
            

        var $adec_externa = $("#adec_externa").on("change", function(){ validateCheck( 'adec_externa' ); });
            $(".adec_externa").on("change", function(){ if ($(this).prop("checked")) { $adec_externa.prop("checked", true); } });
            var $adec_externa_pendientes = $("#apt").on("change", function(){ validateCheck( 'apt' ); $adec_externa.prop("checked", true); });
            $(".apt").on("change", function(){ if ($(this).prop("checked")) { $adec_externa_pendientes.prop("checked", true); } });
            var $adec_externa_historial = $("#ah").on("change", function(){ validateCheck( 'ah' ); $adec_externa.prop("checked", true); });
            $(".ah").on("change", function(){ if ($(this).prop("checked")) { $adec_externa_historial.prop("checked", true); } });

        var $requisicion = $("#requisicion").on("change", function(){ validateCheck( 'requisicion' ); });
            $(".requisicion").on("change", function(){ if ($(this).prop("checked")) { $requisicion.prop("checked", true); } });
            var $requisicion_pendientes = $("#rpr").on("change", function(){ validateCheck( 'rpr' ); $requisicion.prop("checked", true); });
            $(".rpr").on("change", function(){ if ($(this).prop("checked")) { $requisicion_pendientes.prop("checked", true); } });

        var $spr = $("#subpresupuestopr").on("change", function(){ validateCheck( 'subpresupuestopr' ); });

            $(".subpresupuestopr").on("change", function(){ if ($(this).prop("checked")) { $spr.prop("checked", true); } });

            var $spr_pendientes = $("#sprp").on("change", function(){ validateCheck( 'sprp' ); $spr.prop("checked", true); });

            $(".sprp").on("change", function(){ if ($(this).prop("checked")) { $spr_pendientes.prop("checked", true); } });



        var $sbi = $("#subpresupuestobi").on("change", function(){ validateCheck( 'subpresupuestobi' ); });

            $(".subpresupuestobi").on("change", function(){ if ($(this).prop("checked")) { $sbi.prop("checked", true); } });

            var $sbi_pendientes = $("#sbip").on("change", function(){ validateCheck( 'sbip' ); $sbi.prop("checked", true); });

            $(".sbip").on("change", function(){ if ($(this).prop("checked")) { $sbi_pendientes.prop("checked", true); } });

        var $reportes = $("#reportes").on("change", function(){ validateCheck( 'reportes' ); });
            $(".reportes").on("change", function(){ if ($(this).prop("checked")) { $reportes.prop("checked", true); } });
            var $reportes_pendientes = $("#apti").on("change", function(){ validateCheck( 'apti' ); $reportes.prop("checked", true); });
            $(".apti").on("change", function(){ if ($(this).prop("checked")) { $reportes_pendientes.prop("checked", true); } });
    })
    .fail(function(men) { console.log(men); })
    .always(function(m){ op(); });
}



function validateCheck(nom){
    var check = $("#"+nom).is( ":checked" );
    var aux = "";
    if (check) { 
        $.each($("."+nom), function(idx, item){
            $(this).prop("checked", true);
        });    
    } else {
        $.each($("."+nom), function(idx, item){
            $(this).prop("checked", false);
        });
    }
}



function modificar_permisos(){ 
    mp();
    var cad = "";
    $.each($(".permisos"), function(idx, item){
        if (item.checked) { cad+=item.id+"='1',"; } 
        else { cad+=item.id+"='0',"; }
    });
    var n = cad.length;
    cad = cad.substr(0, n-1);

    $.ajax({
        url: 'e1bfd762321e409cee4ac0b6e841963c/modelo.php',
        type: 'POST',
        dataType: 'html',
        data: {
            permiso: 'update_permisos',
            clave: $("#clave").val(),
            cad:cad,
        },
        error: function(jqXHR, status, error){
            console.log(jqXHR+" "+ status +" "+ error);
        }
    })
    .done(function(men) {
        console.log(men);
        if (men.charAt(0)=="1") {
            mensaje("Exito! (Permisos)", "Los permisos se han establecido de forma correcta. Para visualizar los cambios es necesario cerra e iniciar sesión nuevamente.");
            vista_permisos();
            /*window.location.assign("http://www.itzitacuaro.edu.mx/control_poa");*/
        } else {
            mensaje("Error! (Permisos)", men);
        }
    })
    .fail(function(men) { console.log(men); })
    .always(function(m){ op(); });
}